> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

This is an MCP server provided by Drive API. The server provides tools for developers to build LLM applications on top of Drive.

A [Model Context Protocol (MCP) server](https://modelcontextprotocol.io/docs/learn/server-concepts) acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

### Server Setup


You must [configure the Drive MCP server](https://developers.google.com/workspace/drive/api/guides/configure-mcp-server) before use. For more information about using Google and Google Cloud remote MCP servers, see [Google Cloud MCP servers overview](https://docs.cloud.google.com/mcp/overview).

### Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Drive MCP API MCP server has the following global MCP endpoints:

- https://drivemcp.googleapis.com/mcp/v1

The Drive MCP API MCP server offers the following MCP toolset endpoints:

- https://drivemcp.googleapis.com/mcp/v1

## MCP Tools

An [MCP tool](https://modelcontextprotocol.io/legacy/concepts/tools) is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world. Toolsets are a group of tools that are useful for a specific task. Using toolsets can help your agent perform better because it decreases the number of tools available to your agent.

### Toolsets

The drivemcp.googleapis.com MCP server has the following toolsets:

| MCP Toolsets |||
| Endpoint | Description | Tools |
|---|---|---|
| /mcp/v1 | Toolset for the Drive MCP Service. | ` - https://developers.google.com/workspace/drive/api/reference/mcp/tools_list/copy_file - https://developers.google.com/workspace/drive/api/reference/mcp/tools_list/create_file - https://developers.google.com/workspace/drive/api/reference/mcp/tools_list/download_file_content - https://developers.google.com/workspace/drive/api/reference/mcp/tools_list/get_file_metadata - https://developers.google.com/workspace/drive/api/reference/mcp/tools_list/get_file_permissions - https://developers.google.com/workspace/drive/api/reference/mcp/tools_list/list_recent_files - https://developers.google.com/workspace/drive/api/reference/mcp/tools_list/read_file_content - https://developers.google.com/workspace/drive/api/reference/mcp/tools_list/search_files ` |

### Get MCP tool specifications


To get the MCP tool specifications for all tools in an MCP server, use the `tools/list` method. The following example demonstrates how to use `curl` to list all tools and their specifications currently available within the MCP server.

| Curl Request |
|---|
| ```bash curl --location 'https://drivemcp.googleapis.com/mcp/v1' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' ``` |